Subject: Re: -mno-cygwin Problems and Fixes
From: "Sergey R. Grigoriev" <[email-masked]>
To: [email-masked]
Date: Fri, 02 Mar 2001 17:36:36 +0100

Hello Earnie!

>First you need to tell us what version of GCC you're using, e.g.:
>gcc-2.95.2-6.

It is gcc-2.95.2-6 (for 10 min downloaded and all new installed)

>"Sergey R. Grigoriev" wrote:
>> 
>> Hello,
>> 
>> 1.I found small incorrectness in "specs"-file:
>>   now -mno-cygwin produce MSVCRT.DLL-linked code and
>>   all "crt1" and "dllcrt1" MUST be replaced by "crt2" and "dllcrt2"
>> (If I not mistake crt1/dllcrt1 works with CRTDLL.DLL and crt2/dllcrt2
>> with MSVCRT.DLL)
>> 

>Also you need to -D__MSVCRT__ because of some differences in structures
>between the two libraries.

Makes it sence to add "-D__MSVCRT__" to "specs"-file too?
*cpp:
.... %{mno-cygwin:-DWIN32 -D__WIN32__ -D__MINGW32__=0.2 -D__MSVCRT__ 
.....

>> 2. One need to copy missing "/usr/include/mingw/strings.h" header
>>    from "/usr/include/strings.h"
>> 

>You should be using <string.h> instead.
>Earnie.

I undestand... but I have a lot of progs compiliable with MINGW (old one
from Mumith)
and compiliable with CYGWIN... and this "strings.h" is only wrapper for
"string.h"

Why you want to remove "strings.h" from -mno-cygwin?

Serge

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple